cascading.util

## Class SingleCloseableInputIterator

- java.lang.Object
- - cascading.util.SingleValueIterator<Value>
  - - cascading.util.SingleValueCloseableIterator<java.io.Closeable>
    - - cascading.util.SingleCloseableInputIterator

All Implemented Interfaces:
  CloseableIterator<java.io.Closeable>, java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<java.io.Closeable>

    public class SingleCloseableInputIterator
    extends SingleValueCloseableIterator<java.io.Closeable>

### Field Summary

### Fields inherited from class cascading.util.SingleValueIterator

`EMPTY, value`

### Constructor Summary

Constructors
Constructor and Description
`SingleCloseableInputIterator(java.io.Closeable input)`

### Method Summary

Methods
`void` `close()`

### Methods inherited from class cascading.util.SingleValueCloseableIterator

`getCloseableInput`

### Methods inherited from class cascading.util.SingleValueIterator

`hasNext, next, remove, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Constructor Detail

#### SingleCloseableInputIterator

    public SingleCloseableInputIterator(java.io.Closeable input)

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `SingleValueCloseableIterator<java.io.Closeable>`
Throws:
  `java.io.IOException`